Shotstash
API referenceREST referencePipeline

Complete the job

Turns the uploaded output into a processed version of the file. Upload the output first.

Try the REST routes against the public demo at https://demostash.aldyernesto.my.id. Get a read-only token (valid for 60 minutes), then paste it as the Bearer token in the console of any route.

POST
/api/v1/pipeline/jobs/{id}/complete

Turns the uploaded output into a processed version of the file. Upload the output first.

Authorization

WorkerToken
headerX-Worker-Token<token>

Per-worker token returned once by worker registration.

Path Parameters

id*string

Job id (UUID).

Header Parameters

X-Claim-Token*string

Claim token from the claim answer.

Request Body

application/json
  1. body
[key: string]?not (unknown)

Response Body

Job done

application/json
  1. response
status*"done"

Always done.

Value in"done"
versionId*string

Id of the processed version that was created.

curl -X POST "https://example.com/api/v1/pipeline/jobs/string/complete" \  -H "X-Claim-Token: string" \  -H "Content-Type: application/json" \  -d '{    "property1": null,    "property2": null  }'
{  "status": "done",  "versionId": "string"}